// vite.config.js
import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'  // 注意这里是Vue 3的插件
import VuetifyPlugin from 'vite-plugin-vuetify'

export default defineConfig({
  plugins: [
    vue(),
    VuetifyPlugin({
      autoImport: true,
      styles: {
        configFile: 'src/styles/settings.scss'
      }
    })
  ],
  css: {
    preprocessorOptions: {
      scss: {
        additionalData: `
          @use "vuetify/styles" as *;
          @use "@/styles/settings" as *;
        `,
        charset: false
      },
      sass: {
        implementation: 'sass-embedded'
      }
    }
  },
  build: {
    rollupOptions: {
      output: {
        assetFileNames: 'assets/[name]-[hash][extname]'
      }
    }
  }
})
